package com.bonus.core.bus.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

@ApiModel(
   value = "BusLineDTO",
   description = "班车线路新增"
)
public class BusLineDTO {
   @ApiModelProperty("线路编号")
   private @NotBlank(
   message = "线路编号必填"
) String lineNum;
   @ApiModelProperty("线路名称")
   private @NotBlank(
   message = "线路名称必填"
) String lineName;
   @ApiModelProperty("线路站点集合")
   private @NotEmpty(
   message = "线路站点集合必填"
) @Size(
   min = 2
) List<String> lineSites;
   @ApiModelProperty("计费规则id")
   private @NotNull(
   message = "计费规则id必填"
) Long billingId;

   public String getLineNum() {
      return this.lineNum;
   }

   public String getLineName() {
      return this.lineName;
   }

   public List<String> getLineSites() {
      return this.lineSites;
   }

   public Long getBillingId() {
      return this.billingId;
   }

   public BusLineDTO setLineNum(final String lineNum) {
      this.lineNum = lineNum;
      return this;
   }

   public BusLineDTO setLineName(final String lineName) {
      this.lineName = lineName;
      return this;
   }

   public BusLineDTO setLineSites(final List<String> lineSites) {
      this.lineSites = lineSites;
      return this;
   }

   public BusLineDTO setBillingId(final Long billingId) {
      this.billingId = billingId;
      return this;
   }
}
